<div class="uk-margin-small-bottom">
    <div class="uk-card uk-card-default">
        <div class="uk-card-header uk-padding-small uk-card-primary uk-card uk-padding-small">
            <div uk-grid>
                <div class="uk-width-expand uk-margin-auto-vertical">
                    <div class="uk-flex uk-flex-middle">
                        <a (click)="cancel()" class="uk-icon-button uk-margin-small-right" uk-tooltip="title: CANCEL; pos: top"><span uk-icon="icon: close"></span></a>
                        <p class="uk-margin-remove uk-text-small">{{grandParameter?.id ? 'UPDATE' : 'NEW'}} GRAND PARAMETER</p>
                    </div>
                </div>
                <div class="uk-width-auto uk-margin-auto-vertical">
                    <a (click)="save()"  class="uk-icon-button" uk-tooltip="title: SAVE; pos: left"><span uk-icon="icon: cloud-upload"></span></a>
                </div>
            </div>
        </div>
        <div class="uk-card-body uk-padding-small">
            <div>
                <div class="uk-inline uk-width-1-1">
                    <span class="uk-form-icon" uk-icon="icon: pencil"></span>
                    <input appValidateSpetialCharacters [(ngModel)]="grandParameter.title" class="uk-input uk-width-1-1 uk-input-square" placeholder="NAME*" type="text" style="width: 100%">
                </div>
            </div>
            <div>
                <textarea appValidateSpetialCharacters [(ngModel)]="grandParameter.description" class="uk-textarea uk-width-1-1 uk-input-square uk-margin-small-top uk-margin-small-bottom" rows="3" placeholder="DESCRIPTION*" type="textarea" style="width: 100%"></textarea>
            </div>
            
            <div>
                <div class="uk-accordion-content uk-card-body uk-padding-small">
                    <table class="uk-table uk-table-small uk-table-middle uk-table-hover uk-table-divider">
                        <thead>
                            <tr>
                                <th class="uk-width-expand">ORDER</th>
                                <th class="uk-table-shrink">NAME</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let parameterIndex = index;let parameter of grandParameter.parameters; ">
                                <td class="uk-text-small">
                                    <div (click)="decrementIndex(parameterIndex)" class="uk-icon-button" uk-icon="icon: arrow-up" uk-tooltip="title: ORDER TOP; pos: top"></div>
                                    <div (click)="incrementIndex(parameterIndex)" class="uk-icon-button" uk-icon="icon: arrow-down" uk-tooltip="title: ORDER BUTTOM; pos: top"></div>
                                </td>
                                <td class="uk-text-nowrap uk-text-small">
                                    <div class="text-container">
                                        {{parameter.title}}
                                    </div>    
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <div>
                <div class="uk-grid-small panel-check uk-child-width-auto@l" uk-grid>
                    
                    <div *ngFor="let parameter of parameters">
                        <label class="check-element">
                            <input [checked]="grandParameter.parametersIds.includes(parameter.id)"  (change)="onCheckParameter($event)" [value]="parameter.id" type="checkbox">
                            <p class="uk-margin-remove">{{parameter.title}}</p>
                        </label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
